[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TColumn.DesignIndex

Order for the column in its collection at design-time.

## Declaration

Source position: dbgrids.pas line 287

`public property TColumn.DesignIndex : Integer read FDesignIndex;`

## Description

DesignIndex is a read-only Integer property that contains the order for the column in its collection at design-time. The value in DesignIndex is used primarily when TDBGridColumns.ResetColumnsOrder compares and sorts the items in its collection.

## See also

TDBGridColumns.ResetColumnsOrder |  | ResetColumnsOrder arranges columns in the collection to the specified order.
TColumn.Create |  | Constructor for the TColumn instance.